Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.management.configuration
Interface BridgeDestinationMBean

public interface BridgeDestinationMBean
extends BridgeDestinationCommonMBean

This class represents a messaging bridge destination for non-JMS products.

Each messaging bridge consists of two destinations that are being bridged: a source destination from which messages are received, and a target destination to which messages are sent.

Note: Although WebLogic JMS includes a "General Bridge Destination" framework for accessing non-JMS messaging products, WebLogic Server does not provide supported adapters for such products. Therefore, you need to provide a custom adapter from a third-party OEM vendor and consult their documentation for configuration instructions.

Fields inherited from class weblogic.management.configuration.BridgeDestinationCommonMBean
`JMS_XA_ADAPTER_JNDI`

Fields inherited from class weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID`

Method Summary
`java.util.Properties` | `getProperties()` A string value that specifies all the properties of the bridge destination.
`void` | `setProperties(java.util.Properties properties)` A string value that specifies all the properties of the bridge destination.

Methods inherited from interface weblogic.management.configuration.BridgeDestinationCommonMBean
`getAdapterJNDIName, getClasspath, getUserName, getUserPassword, setAdapterJNDIName, setClasspath, setUserName, setUserPassword`

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`addLinkMbeanAttribute, getNotes, isPersistenceEnabled, setNotes`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getProperties

    public java.util.Properties getProperties()

  A string value that specifies all the properties of the bridge destination. The destination properties must be separated by semicolons (;).

  The following properties are required for all JMS implementations:

  `ConnectionURL=`
    The URL used to establish a connection to the destination.

  `ConnectionFactoryJNDIName=`
    The JNDI name of the JMS connection factory used to create a connection.

  `DestinationJNDIName=`
    The JNDI name of the JMS destination.

  `DestinationType=`
    Either queue or topic.

  `InitialContextFactory=`
    The factory used to get the JNDI context.

### setProperties

    public void setProperties(java.util.Properties properties)
                       throws javax.management.InvalidAttributeValueException

  A string value that specifies all the properties of the bridge destination. The destination properties must be separated by semicolons (;).

  The following properties are required for all JMS implementations:

  `ConnectionURL=`
    The URL used to establish a connection to the destination.

  `ConnectionFactoryJNDIName=`
    The JNDI name of the JMS connection factory used to create a connection.

  `DestinationJNDIName=`
    The JNDI name of the JMS destination.

  `DestinationType=`
    Either queue or topic.

  `InitialContextFactory=`
    The factory used to get the JNDI context.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference